🏢 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • Film & Stage plugin

    23
    0 Votes
    23 Posts
    4k Views
    thomthomT
    Just found this thread: http://www.sketchucation.com/forums/scf/viewtopic.php?f=180&t=9321&p=145393 If you open the Ruby Console and type in Sketchup.send_action 10624 it opens a window which allows you to change SU's behaviour so it sets the AOV horizontally instead of vertically.
  • GL_TRIANGLES and COLOR

    2
    0 Votes
    2 Posts
    361 Views
    fredo6F
    Don't worry. This looks like a bug (or a feature?) of the API in SU6 and SU7. I never found any workaround. Why do you think the divider in Stretch happens to be black!? However, in 2D mode (view.draw2d), you can control the color. Fredo
  • Transforming multiple vertices simultaneously?

    15
    0 Votes
    15 Posts
    399 Views
    J
    Normally yes, but he wants to apply a different transformation to each vertex.
  • Cant find fredolib or freescale

    6
    0 Votes
    6 Posts
    2k Views
    Chris FullmerC
    Excellent, glad it worked. And thanks for the monitor solution. I fixed it by moving and pawning that old monitor situation off to a coleague who now has to deal with it. Chris
  • Why Not?

    5
    0 Votes
    5 Posts
    592 Views
    jeff hammondJ
    well, automator isn't a user action recorder.. (although it has that as one of it's options).. i guess what you guys are talking about is similar to creating an action in photoshop where i push record/do some things/stop recording then when i play the action, it will repeat what i did.. the basic interface that i'm talking about looks like this: [image: auto.jpg] i can select which type of file etc i would like to control and then a list of options for that appear (the screenshot shows the options for file/folders.. a new set of options shows up if i select say 'sort finder items' (by date,type,size,name,etc) ) and there's a list of varibles as well.. basically, it's letting me write a script without actually writing.. the same idea as a mouse with windows/icons etc compared to a command line...
  • Producing an error message for a run-time ruby error

    6
    0 Votes
    6 Posts
    683 Views
    D
    def test_error1 begin test_error2 # code which may contain an error rescue Exception => e do_rescue(e, "Test Error") end#begin end#def can be even reduced to def test_error1 test_error2 # code which may contain an error rescue Exception => e do_rescue(e, "Test Error") end But what really bothers me is that there is no option to make Ruby console pop up when there are new messages and stay hidden otherwise. As for now I guess I would just keep a file with Sketchup.send_action("showRubyPanel;") in the Plugins folders while doing active development.
  • SketchUp SDK Scrambler - Problem with paths?

    4
    0 Votes
    4 Posts
    318 Views
    T
    Scott, You're a lifesaver! Worked like a charm. Just needed to get the plugins folder. Got it. Thanks! Tali
  • Replacing Selected Component Instances as New Component?

    3
    0 Votes
    3 Posts
    172 Views
    A
    @daiku said: I think I understand what you are asking for. If you select multiple instances, and then choose "make unique", all of the selected instances will now share a new component definition. CB. Thanks! It was too obvious for needing a plugin for that... but then, there are some obvious things that needed to be implemented via plugins... you saved my day pal (literally, since I would spend hours doing it manually!)
  • Surveyor's plan plugin

    4
    0 Votes
    4 Posts
    258 Views
    thomthomT
    @unknownuser said: What would be very useful would be to have a method that, given an EntityID, returns the entity object. I second this. My reasons is that I can easier communicate with webdialogs.
  • Camera.aspect_ratio=

    2
    0 Votes
    2 Posts
    182 Views
    thomthomT
    I experienced that when I made my V-Ray Toy plugin. Due to the zooming, V-Ray would not match the SU viewport. Not until I took the ratio of the viewport's width/height and entered that as V-Ray's Zoom property. And it has bothered me that it zooms in like that as I can't just simply convert existing views to have an aspect ratio. Though, I haven't looked further into the matter. I'm very interested in what comes out of this thread. Btw, you have noticed that SU uses vertical Angle of View instead of horizontal?
  • How to orient component in space using ruby?

    11
    0 Votes
    11 Posts
    398 Views
    Chris FullmerC
    Also, in case you know nothing about axes, like me, Fredo showed me that if you multiply 2 axes together, you get a perpendicular axis. This is helpful if you can find 2 axes, say the x and y, you can just multiply them together to get the z axis. Then you have all 3 axes needed for the transformation. It would look like this: xaxis = Geom::Vector3d.new(10,-23,110) yaxis = Geom::Vector3d.new(23,52,9) zaxis = xaxis * yaxis Gives the result of: (-5927.0, 2440.0, 1049.0) for the zaxis. Chris
  • Posting plugins...

    8
    0 Votes
    8 Posts
    333 Views
    M
    Starting from Jim's SketchUp-Ruby Resources, what about tag plugins by classes ? For example: Mechanical tools, Architecture tools, Kinematics tools, Geometry creation tools, Geometry Modification tools, Measurement tools, (running out of imagination), but I'm sure there could be a nice group of classes out there. Having plugins organized by classes, maybe we can extract more conclusions about wants and needs. Regards Marcio
  • Layout 2 scriptable with Ruby?

    4
    0 Votes
    4 Posts
    276 Views
    H
    @unknownuser said: Can you give some examples of what you script so we can get some ideas of what to add to a scripting interface? I am not familar with Layout and it capabilitys since I am evaluating the specs for a possible future use. When I undertstand it right Layout is a separte EXE/Modul and not running in the same process then SketchUp. In Autocad the modellviews in modellspace are similar to the modellviews in paperspace. Both can be reached from autolisp and automated/scripted. So what I would expect from scripting layout: Inserting forms/templates and filling their data-fields. Drawing primitives (lines,arrows,text and whatever layout supports) in Paperspace Placing views and set them up with view-points, camera-settings, rendermodes etc. Iterating (reading propertys) through all elements in paperspace. Interfacing with the SketchUp main-modul. (Starting a layout/print process in Sketchup/Ruby, doing the job (passing a ruby call to layout) in layout/Ruby and return back to the calling point in SketchUp) Control (filenames/printers) the output (Printing/Exporting) with Ruby in Layout. So be able to give a customer a cadalog with Sketchup Components and ready made forms/templates and custom ruby code/toolbars to allow him easy product customising. (I hope I make it clear so far, since I am not native english) Greetings from germany Regards Hans-Peter
  • REAL circles with DXF export?

    21
    0 Votes
    21 Posts
    945 Views
    jeff hammondJ
    yeah TIG, i think i'm being unclear with my intent here.. i'm not too concerned with being 100% precise in order to build accurately (for instance, our tapes are in 1/16" increments so i round to the nearest 16th for the cut lists).. my concern is the method i previously had to go through in order to draw my arcs.. shown in the first half of this video -- [flash=500,400:ajuoc4zj]http://www.youtube.com/v/sCpbagJfGGQ&hl=en&fs=1[/flash:ajuoc4zj] it can be a pain to get the point which i achieved at 0:25 in the video.. especially when using a laptop with no mouse as i often do on the jobsite.. you'll see though that i divide my arcs up into 8" segments and there's no way i'm thinking about using a 1000 segment arc for push/pull etc.. i just want to find the point where an 8' radius is 5' tall -- i'm not too concerned with having true circles in SU.. it's just that if they were true, i'd be able to find that point very easily.. by hyper-dividing them into thousands of segments, i can temporarily mimic a true circle and get my construction point.. (and yes, 2000 may be overkill -- that was just an experiment that happened to work out and i didn't try to find the minimum amount i should be dividing them at.. you're saying 689 segments works as well so i'll try something closer to that)
  • Remove Component Definitions?

    5
    0 Votes
    5 Posts
    2k Views
    thomthomT
    I wonder why clearing the definitions entities and placing the component from the browser works, but not when placing from ruby...
  • Roads from Centrelines

    7
    0 Votes
    7 Posts
    413 Views
    Chris FullmerC
    I don't think its too complex to be done. Especially if you just want it in 2d. I don't think anything like that exists already though. Chris
  • True/false toggle?

    3
    0 Votes
    3 Posts
    195 Views
    Chris FullmerC
    Aha! That does precisely what I was hoping for! Thanks Fredo, Chris
  • Groups not aligned and views

    3
    0 Votes
    3 Posts
    207 Views
    MALAISEM
    Thanks Dave, I'll follow your advice. MALAISE
  • A big "Thank you!" to all Ruby-developers

    5
    0 Votes
    5 Posts
    265 Views
    boofredlayB
    Count me in on the Ruby Love Fest. Thanks all.
  • Game within sketchup

    12
    0 Votes
    12 Posts
    830 Views
    IdahoJI
    I would think a game similar to Mousetrap or Crazy Machines (1 or 2) would be doable... Lots of fun with SketchyPhysics and one could use Ruby's OO model to advantage in coding the game logic.

Advertisement